# $Revision: 1.70 $, $Date: 2002/03/12 14:12:03 $
Summary:	This is a GTK-based configuration tool for WindowMaker
Summary(es):	Herramienta de configuracin basada en GTK para WindowMaker
Summary(pl):	Oparty na GTK konfigurator dla WindowMakera
Summary(pt_BR):	Ferramenta de configurao baseada no GTK para o WindowMaker
Name:		wmakerconf
Version:	2.8.1
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://ulli.on.openave.net/wmakerconf/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-subdir.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-charset.patch
Patch3:		%{name}-misc.patch
Patch4:		%{name}-ia64+mkstemp.patch
Icon:		wmakerconf.xpm
URL:		http://ulli.on.openave.net/wmakerconf/
BuildRequires:	WindowMaker-devel >= 0.51.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	imlib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libPropList-devel >= 0.8.3
BuildRequires:	libtiff-devel
BuildRequires:	libungif-devel
BuildRequires:	zlib-devel
Requires:	WindowMaker >= 0.62.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	wmakerconf-data

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11

%description
wmakerconf is a GTK+ based configuration tool for the window manager
WindowMaker. Support of all WindowMaker attributes: Font selection
browser, pixmap preview browser, color selection dialog, shortcut
dialog, file selection dialog, etc. Tooltips with short description of
every attribute. New attributes can be simply integrated by changing
the wmakerconf proplist

%description -l es
Herramienta de configuracin basada en GTK+ para el administrador de
ventanas Window Maker. Soporta todos los atributos del Window Maker:
navegador para seleccin de fuentes, navegador para visualizar
pixmaps, caja de dilogo para seleccin de colores, caja de dilogo
para accesos directos, caja de dilogo para seleccin de archivos,...
Trucos en todos los atributos. Nuevos atributos se pueden integrar de
forma sencilla, cambiando la lista de propiedades del wmakerconf.

%description -l pl
wmakerconf jest opartym na GTK+ narzdziem konfiguracyjnym dla
WindowMakera. Umoliwia zmian czcionek, ikon, kolorw i pozostaych
atrybutw przy pomocy prostych narzdzi dialogowych.

%description -l pt_BR
Ferramenta de configurao baseada em GTK+ para o gerenciador de
janelas Window Maker. Suporta todos os atributos do Window Maker:
navegador para seleo de fontes, navegador para visualizao de
pixmaps, caixa de dilogo para seleo de cores, caixa de dilogo para
atalhos, caixa de dilogo para seleo de arquivos, ... Dicas em todos
os atributos. Novos atributos podem ser integrados de forma simples,
mudando a lista de propriedades do wmakerconf.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
gettextize --copy --force
aclocal
autoconf
automake -a -c
(cd data
rm -f missing
aclocal
autoconf
automake -a -c)
%configure \
	--with-wmakerdataprefix=%{_datadir} \
	--with-wmakeretcprefix=%{_sysconfdir} \
	--enable-themes-org
%{__make}

cd data
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_pixmapsdir},%{_applnkdir}/Settings/WindowMaker}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__make} install -C data DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings/WindowMaker
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/*.sh
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/MANUAL
%{_datadir}/%{name}/WMWmakerconf
%{_datadir}/%{name}/wmaker-version
%{_applnkdir}/Settings/WindowMaker/wmakerconf.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmakerconf.spec,v $
Revision 1.70  2002/03/12 14:12:03  kloczek
- !sort BuildRequires rules.

Revision 1.69  2002/03/12 13:53:19  kloczek
- release 6: removed "Requires: wmakerconf-data".

Revision 1.68  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.67  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.66  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.65  2001/12/08 16:04:14  kloczek
- release 5,
- merge translations and some patches from Conectiva,
- move desktop file to Settings/WindowMaker,
- merge wmakerconf-data sumbackage to wmakerconf,
- fixes in %build (added full regeneratre ac/am/lt files).

Revision 1.64  2001/11/21 09:57:44  blues
- URLs updated
- cosmetic in files

Revision 1.63  2001/03/24 18:23:33  kloczek
- spec adapterized and cerrected using automake in %build.

Revision 1.62  2001/03/24 15:33:56  undefine
- updated to 2.8.1
- removed unneeded pl.po files and data-locale.patch

Revision 1.61  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.60  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.59  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.58  2000/09/08 03:51:25  kloczek
- release 8,
- Requires: WindowMaker = 0.62.1 in data subpackage.

Revision 1.57  2000/08/09 21:01:06  kloczek
- release 7,
- build againsr Windowmaker 0.62.1,
- spec adapterized.

Revision 1.56  2000/07/28 13:59:08  zagrodzki
- release 6, built against libpng >= 1.0.8

Revision 1.55  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.54  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.53  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.52  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.51  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.50  2000/02/04 02:04:47  kloczek
- sorry .. reverted last changes - release 5.

Revision 1.49  2000/02/04 01:40:34  kloczek
- release 1.

Revision 1.48  2000/02/01 23:22:04  pius
- updated to 2.5

Revision 1.47  1999/12/06 19:43:01  pius
- release 4

Revision 1.46  1999/12/06 19:42:27  pius
- updated to 2.4

Revision 1.45  1999/11/27 02:59:14  pius
- added using more rpm macros
- cosmetics

Revision 1.44  1999/11/02 13:34:35  wiget
- BuildRequires: imlib-devel

Revision 1.43  1999/10/26 08:16:14  wiget
- Release: 3 (allow upgrade wmakerconf-data)

Revision 1.42  1999/10/24 19:18:45  pius
- updated to 2.3.2
- updated Source url

Revision 1.41  1999/10/11 16:43:13  pius
- updated pl locale
- fixed dependencies
- release 2

Revision 1.40  1999/10/10 20:47:57  kloczek
- updated for using with WindowMaker 0.61.1.

Revision 1.39  1999/10/10 12:32:37  pius
- fixed Version of data subpackage
- changed Requires to 'WindowMaker = 0.61.0' for data subpackage

Revision 1.38  1999/10/10 09:58:13  pius
- added 'BuildRequires: libwmfun-devel >= 0.0.2' (it won't work with 0.0.1)

Revision 1.37  1999/10/07 05:10:23  kloczek
- updated to 2.3,
- full DESTDIR style %install (added DESTDIR patch).

Revision 1.36  1999/09/01 10:30:15  wiget
- BuildRequires: libwmfun-devel

Revision 1.35  1999/08/29 15:09:49  pius
- fixed installing locales

Revision 1.34  1999/08/29 14:56:55  kloczek
- pass LDFLAGS="-s" to ./configure enviroment in %build instead stripping in
  %install,
- removed --prefix from %%configure parameters (passed automatically).

Revision 1.33  1999/08/28 21:41:59  pius
- updated to 2.2.

Revision 1.32  1999/08/26 17:43:29  baggins
- buildrequires gettext -> gettext-devel

Revision 1.31  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.30  1999/07/16 16:56:02  kloczek

- use %%configure instead %%GNUconfigure,
- small corectons.

Revision 1.29  1999/07/12 23:06:19  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.1-1]
- package is FHS 2.0 compliant,
- spec file based on RH version; rewritten for PLD use by me
  and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
